

function main(self)
    if self.State == 0 then
		self.State = 1
	end
	if self.State == 1 then
		CreateObject{x=self.X, y=self.Y, z=6000, logic="DoNothing", image="CUSTOM_STALAGCOVER"}
		CreateObject{x=self.X, y=self.Y+57, z=3300, name="WaterDrop", Speed=self.Speed}
		self.State = 2
	end
	if self.State == 2 then
		self:Destroy()
	end
end